cpufrequtils (008-2build2) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:53:01 +0200

cpufrequtils (008-2build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 16:50:19 +0000

cpufrequtils (008-2) unstable; urgency=medium

  * New maintainer (Closes: #933159)
  * Add "for internal use" to debian/cpufrequtils.templates to fix
    lintian warning.
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat to 13.
  * Remove -O2 CFLAGS from debian/rules when noopt is defined.
  * Add hardening+=all to debian/rules and set-hardening.patch.
  * Add Vcs-* fields to debian/control.
  * Remove hurd, kbsd64, and kbsd32 from debian/control.
  * Add Build-Depends-Package field to debian/libcpufreq0.symbols.
  * Change the format of debian/copyright to dep5.
  * Fix typos in man files.
  * Remove debian/source.lintian-overrides to fix lintian warning.
  * Change to the secure URL in debian/watch.

 -- Seunghun Han <kkamagui@gmail.com>  Mon, 04 May 2020 12:20:06 +0900

cpufrequtils (008-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Niels Thykier ]
  * Set Rules-Requires-Root to "no".
  * Replace usage of "dh_clean -k" with "dh_prep".
  * Remove redundant/empty postinst and postrm from the packages.
  * Bump debhelper compat to 12.
    - Pass --no-restart-after-upgrade to dh_installinit to maintain
      the previous behaviour of the maintscripts.
    - Add Pre-Depends on ${misc:Pre-Depends}.

  [ Breno Leitao ]
  * Remove the package binary package for Power architecture, since Power CPU
    family uses linux-cpupower to handle the machine Power management unit.
    (Closes: #889895)

  [ Helmut Grohne ]
  * Fix FTCBFS: pass CROSS= to Makefile.  (Closes: #793913)

 -- Niels Thykier <niels@thykier.net>  Sun, 30 Dec 2018 22:29:38 +0000

cpufrequtils (008-1) unstable; urgency=low

  * Package the last available upstream vesion of cpufrequtils. Anything
    after this should really be cpupowerutils (closes: 639454).
  * Include all the work also pending the in the git repository as patches
    on top of version 008.
  * Upstream fixed po.DE (closes: #633307).
  * Enable static library building as upstream disabled it.
  * Load powernow-k8 for AMD Bulldozer (21) and Llano (18) (closes: #654957).
  * Do not update po files upon building (closes: #651415).

 -- Mattia Dongili <malattia@debian.org>  Sun, 06 May 2012 08:23:44 +0900

cpufrequtils (007-2) unstable; urgency=low

  * Bulk load only helper modules. Linux 3.0 shuffled cpufreq modules
    locations a bit and now cpu drivers and helpers are in the same directory
    (closes: #636141).
  * Use modprobe -b in loadcpufreq to honour blacklisted modules
    (closes: #592488).
  * Load powernow-k8 for AMD family 20 (i.e. AMD E-350 cpus)
    (closes: #627811).
  * Stop changing printk levels when loading cpufreq modules (closes: #624575
    and closes: #596235).

 -- Mattia Dongili <malattia@debian.org>  Wed, 03 Aug 2011 18:13:41 +0900

cpufrequtils (007-1) unstable; urgency=low

  * New upstream version
  * Load acpi_cpufreq instead of e_powersaver on VIA C7s (closes: #566214 and
    closes: #579091)
  * loadcpufreq should start after syslog (closes: #578639)
  * Remove stop symlinks in runlevel 0 1 6 on upgrades (closes: #498717)
  * Start loadcpufreq on install (closes: #544098)
  * Add a homepage link in the control file for cpufrequtils (closes: #579089)
  * Remove patches included upstream, refresh the rest
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version and check for file existence before including it
    in loadcpufreq (lintian warnings)

 -- Mattia Dongili <malattia@debian.org>  Sat, 15 May 2010 20:04:34 +0900

cpufrequtils (006-2) unstable; urgency=low

  * Grrr! fix the stop scripts removal condition

 -- Mattia Dongili <malattia@debian.org>  Sat, 21 Nov 2009 23:44:09 +0900

cpufrequtils (006-1) unstable; urgency=low

  * New upstream version
  * Fix the errors in the extended description (closes: #543679).
  * Re-generate the symbols file (closes: #552344).
  * Use upper-case for the CPU aronym (closes: #493174).
  * Remove the unused stop links in /etc/rc[016].d (closes: 498717)
  * Bump Standards-Version to latest (3.8.3).
  * Add cpufreq-aperf manpage and pull quilt as a dependency to add patches.
  * Pull a fix from the upstream repository to fix reading of /proc/stat in
    cpufreq-aperf (6657831200419d7509edcc04434d03b994c86adb).

 -- Mattia Dongili <malattia@debian.org>  Fri, 20 Nov 2009 20:24:47 +0900

cpufrequtils (005-1) unstable; urgency=low

  * New upstream version
  * Always load acpi-cpufreq on Intel CPUs with the est flag (Closes: #502431)
  * Load the powenow-k8 module for AMD family 17, Laszlo Kajan
    <kajla76@gmail.com> (Closes: 523839)
  * Removed libsysfs dependency, not needed anymore

 -- Mattia Dongili <malattia@debian.org>  Sun, 26 Apr 2009 15:15:11 +0900

cpufrequtils (004-2) unstable; urgency=low

  * Load powernow-k8 for Phenom AMD CPUs (Closes: #491299)

 -- Mattia Dongili <malattia@debian.org>  Sat, 19 Jul 2008 15:10:07 +0900

cpufrequtils (004-1) unstable; urgency=low

  * New upstream version
  * Ack previous NMUs (Closes: #470062) (Closes: #464636) (Closes: #468483)
    (Closes: #468655)
  * removed dependency on libsysfs as the upstream code doesn't need
    it anymore

 -- Mattia Dongili <malattia@debian.org>  Wed, 16 Jul 2008 20:54:15 +0900

cpufrequtils (002-7.2) unstable; urgency=low

  * Non-maintainer upload with consent from Mattia Dongili.
  * Fix typo in call to dh_installinit (Closes: #470062)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  8 Mar 2008 23:32:26 +0100

cpufrequtils (002-7.1) unstable; urgency=low

  * Non-maintainer upload with consent from Mattia Dongili.
  * Fix bashism in init.d/loadcpufreq (Closes: #464636)
  * Make sure update-rc.d is called in dependency order to
    work with insserv.  Depend on debhelper >= 6 for this to work
    properly (Closes: #468483)
  * Correct LSB dependnecy information (Closes: #468655)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  8 Mar 2008 11:44:08 +0100

cpufrequtils (002-7) unstable; urgency=low

  * Set ENABLE=true by default in loadcpufreq.init (Closes: #457753)
  * use /proc/stat to get the list of cpus for which we need to set the
    default governor/limits at boot in cpufrequtils.init (Closes: #457931)

 -- Mattia Dongili <malattia@debian.org>  Sun, 30 Dec 2007 11:39:18 +0900

cpufrequtils (002-6) unstable; urgency=low

  * in loadcpufreq.init:
    - Support VIA C7 (model_id 10) (Closes: #429269)
    - Redirect to stderr correclty (Closes: #431690)
    - Only check for sysfs file existence as we don't know exactly which
      governors are really available (Closes: 431922)
    - redirect stderr on modprobe and say that no module has been loaded if
      that is the case, patch from Kel Modderman (Closes: #428248)
  * set policy earlier to avoid overriding policy daemons (Closes: #433202)
  * use cpufreq-info to determine the available CPUs, patch from Kel Modderman
    (Closes: #449307)
  * document ordering of init.d scripts in LSB header, patch from Petter
    Reinholdtsen (Closes: #451482)
  * handle DEB_BUILD_OPTIONS=nostrip in debian/rules (Closes: #436673)
  * allow disabling and/or overriding loadcpufreq (Closes: #440915)
  * clarify the package description stating this package also enable active
    cpu control at boot time (Closes: #433203)
  * bump Standards-Version to 3.7.3
  * unignore $(MAKE) clean errors as it actually should never fail in normal
    conditions for this package (lintian warning)
  * describe the usage of /etc/default/loadcpufreq in README.Debian

 -- Mattia Dongili <malattia@debian.org>  Mon, 24 Dec 2007 14:15:47 +0900

cpufrequtils (002-5) unstable; urgency=low

  * fix loadcpufreq script to avoid using laptop-detect as the result
    of its invocation was not used (Closes: #428172).
  * output the name of the driver used at startup.

 -- Mattia Dongili <malattia@debian.org>  Sun, 10 Jun 2007 11:30:31 +0900

cpufrequtils (002-4) unstable; urgency=low

  * Enable by default if cpufreq kernel module is loaded thanks
    to Peter Reinholdtsen for the base code/idea (Closes: #426138)

 -- Mattia Dongili <malattia@debian.org>  Thu, 31 May 2007 00:29:39 +0900

cpufrequtils (002-3) unstable; urgency=low

  * Acknowledge NMUs (Closes: #412184) (Closes: #423991)
  * Fix typo in loadcpufreq (Closes: #426067)
  * Add a sample /etc/default/cpufrequtils for the user reference.

 -- Mattia Dongili <malattia@debian.org>  Sat, 26 May 2007 10:55:52 +0900

cpufrequtils (002-2.2) unstable; urgency=low

  * Non-maintainer upload with maintainers approval.
  * Correct debconf value name used in previous changelog.  The
    preseed template name is cpufrequtils/enable, not
    cpufrequtils/active-on-boot.
  * Add a small section in README.Debian on how to use it.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 25 May 2007 15:43:32 +0200

cpufrequtils (002-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainers approval.
  * Add init.d/loadcpufreq to detect and load the needed kernel
    modules.  Based on code from powernowd in Ubuntu, combined into
    one script and slightly modified to prefer acpi-cpufreq over
    speedstep-centrino with kernels 2.6.20->. (Closes: #423991)
  * Improve wording in README.Debian.  Based on suggestion from Pete
    Boyd. (Closes: #412184)
  * Make init.d script accept the same speed values in
    default/cpufrequtils as cpufreq-set.  Patch from Bernd Feige.
    (Closes: #392572)
  * Move default values for init.d/cpufrequtils into the script, and
    drop /etc/default/cpufrequtils as a conffile to ease
    autoconfiguration and upgrades when the default values changes.
  * Add hidden boolean debconf value cpufrequtils/enable to
    enable the ondemand governor during installation.  Add lintian
    overrides to ignore lintian warnings about hidden debconf
    questions.
  * Add provides line to the LSB header in init.d/cpufrequtils to keep
    lintian and insserv happy.
  * Remove runlevels from the LSB header default-stop, as the init.d
    script do not stop anything.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 25 May 2007 14:52:20 +0200

cpufrequtils (002-2) unstable; urgency=low

  * Be Sarge's sed compliant, thanks to Peter Palfrader. (Closes: #378482)

 -- Mattia Dongili <malattia@debian.org>  Fri, 11 Aug 2006 13:34:09 +0200

cpufrequtils (002-1) unstable; urgency=low

  * New upstream release.
  * Set cpufreq values for all available cpus. (Closes: #364547)
  * Bump Standards-Version to latest (3.7.2).

 -- Mattia Dongili <malattia@debian.org>  Thu, 01 Jun 2006 20:05:06 +0200

cpufrequtils (001-2) unstable; urgency=low

  * Fix libcpufreq.la braindamaged rpath.

 -- Mattia Dongili <malattia@debian.org>  Sun, 09 Apr 2006 09:31:01 +0200

cpufrequtils (001-1) unstable; urgency=low

  * New upstream release.
  * Fix orthographical error in README.Debian (closes: #348549).
  * Fix lack of newline on an error message (closes: #352601).

 -- Mattia Dongili <malattia@debian.org>  Mon, 27 Mar 2006 22:04:37 +0200

cpufrequtils (0.4-2) unstable; urgency=low

  * Build against libsysfs2 (closes: #347630).
  * Fix wording in README.Debian (closes: #348549).

 -- Mattia Dongili <malattia@debian.org>  Sun, 12 Feb 2006 14:09:49 +0100

cpufrequtils (0.4-1) unstable; urgency=low

  * New upstream release.
  * changed '==' to '=' to make dash happy (and the init script
    POSIX compliant) (closes: #323429).
  * Upstream applied the po correction (closes: #314134).

 -- Mattia Dongili <malattia@debian.org>  Tue, 20 Dec 2005 21:47:38 +0100

cpufrequtils (0.3-2) unstable; urgency=low

  * Added init and default scripts to allow the user set a governor
    on boot (closes: #311604).

 -- Mattia Dongili <malattia@debian.org>  Sat, 02 Jul 2005 00:27:34 +0200

cpufrequtils (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Mattia Dongili <malattia@debian.org>  Tue, 10 May 2005 19:52:14 +0200

cpufrequtils (0.2-1) unstable; urgency=low

  * New upstream release.
  * Changed maintainer's address to the @d.o one.

 -- Mattia Dongili <malattia@debian.org>  Sun, 20 Mar 2005 12:03:39 +0100

cpufrequtils (0.1-1) unstable; urgency=low

  * Initial Release. (closes: #278767)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sun, 28 Nov 2004 17:26:30 +0100
